This repository has been archived by the owner. It is now read-only.

Imagemagick failed to build on 10.6 #18966

Closed
derekaug opened this Issue Apr 4, 2013 · 12 comments

Comments

Projects
None yet
3 participants
Contributor

adamv commented Apr 4, 2013

Copying for reference:

i686-apple-darwin10-gcc-4.2.1: /usr/X11/lib/libpng12.0.0.0.dylib: No such file or directory
Contributor

adamv commented Apr 5, 2013

My Snow Leopard install has 12.0.35.0 and some other dylibs, but no 12.0.0.0.0.

Contributor

adamv commented Apr 5, 2013

Built for me on Snow Leopard.

Contributor

mistydemeo commented Apr 8, 2013

My Snow Leopard install has 12.0.35.0 and some other dylibs, but no 12.0.0.0.0.

Same here.

Just as a thought, is it possible one of the dependencies of imagemagick is compiled against a different X11 install? (Say, if you upgraded this computer from 10.5 in the past.)

Contributor

mistydemeo commented Apr 8, 2013

Can I see your brew --config?

Contributor

adamv commented Apr 19, 2013

Ping @derekaug

Contributor

adamv commented Apr 20, 2013

This matches my config, except that there is a custom Python installed in /Library. What does brew list --unbrewed say? What is the file listing in your x11 libs folder?

Contributor

adamv commented Apr 27, 2013

The unbrewed include/freetype2 may be interfering, dunno.

Contributor

adamv commented May 22, 2013

The only thing I can think to suggest is to (A) remove the unbrewed freetype2 (B) brew update and (C) brew rm $(brew deps imagemagick) and let all new versions be installed.

Sorry we don't have any more specific advice.

@adamv adamv closed this May 22, 2013

Tried the suggested solution, still not helping.

@xu-cheng xu-cheng locked and limited conversation to collaborators Feb 16, 2016

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.